Page MenuHomePhabricator

Deploy borders table on prod cluster
Closed, DeclinedPublic

Description

We need to get the borders table into postgres on all maps clusters. The data could come from the openstreetmap domain (once available there), by running Paul's c++ code on maps servers to process the OSM planet pbf file, or with a manual upload by generating the table dump on a dev machine, and recording it somewhere.

Event Timeline

Yurik created this task.Dec 12 2016, 6:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 12 2016, 6:07 PM

For this we're after a short term solution until meddo+brighmed is done.

We want the maps server to download the data from somewhere and load it into PostgreSQL. The questions are

  • what is that somewhere;
  • who hosts that somewhere; and
  • who runs the command that generates the data that gets to that somewhere.

Long term I want to talk to Jochen about adding it to what openstreetmapdata.com offers, but that won't be for this task.

Very short-term I'm going to be putting the file up on one of my servers to announce it to the OSM developer community.

The end goal is to have the disputed border data available on http://openstreetmapdata.com/. It might take some time to be published and maintained there, so we might want to put in place an temporary process.

The processed data should be the deployable artefact. We don't wan to do the processing on the maps servers as this will not be the desired end state. Which means that we want to have the processed data available somewhere. I don't know if we do have a binary artefact repository, I need to check...

Talked to Jochen about adding to openstreetmapdata.com and we'll talk again in the new year after he has more time and there's been a chance for things to settle and bugs to be found and fixed.

Deskana added a subscriber: Deskana.

Adding to sprint board; this task is a subtask of T113008: Epic: Borders aren't always marked as disputed, which was identified as a "must have" in T155601: Stabilizing Interactive Products.

Deskana moved this task from Backlog to To-do on the Maps-Sprint board.Jan 25 2017, 7:34 PM
Pnorman closed this task as Declined.Jul 3 2018, 4:24 PM

We're not deploying the new styles, so this no longer matters.